OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Types | Public Member Functions | List of all members
OMToolkit::OMMatrixDescriptors Class Reference

`#include <OMMatrixDescriptors.h>`

## Public Types
typedef Types::ModuleMeshd | MeshT
typedef MeshT::Scalar | ScalarT
typedef MeshT::Normal | NormalT
typedef MeshT::AttributeScalar | AScalarT
typedef Types::OMSerializableMatrix < AScalarT > | MatrixT

## Public Member Functions
| OMMatrixDescriptors (MeshT *mesh)
bool | ComputePoints (OpenMesh::VPropHandleT< MatrixT > matrixH, OpenMesh::VPropHandleT< AScalarT > curvatureMagH, int finalNum)
std::vector< std::vector< float > > | ComputeDescriptors (OpenMesh::VPropHandleT< MatrixT > matrixH, OpenMesh::VPropHandleT< AScalarT > curvatureMagH, float matrix_size, int matrix_resolution, float desc_diameter)

## Detailed Description

Class for descriptor computation in mesh data

## Member Typedef Documentation

typedef MeshT::AttributeScalar OMToolkit::OMMatrixDescriptors::AScalarT

Attribute scalar definition

typedef Types::OMSerializableMatrix<AScalarT> OMToolkit::OMMatrixDescriptors::MatrixT

Matrix type definition

typedef Types::ModuleMeshd OMToolkit::OMMatrixDescriptors::MeshT

Mesh type definition

typedef MeshT::Normal OMToolkit::OMMatrixDescriptors::NormalT

Normal type definition

typedef MeshT::Scalar OMToolkit::OMMatrixDescriptors::ScalarT

Scalar type definition

## Constructor & Destructor Documentation

OMToolkit::OMMatrixDescriptors::OMMatrixDescriptors | ( | MeshT * | mesh | ) |

Constructor initializes this class for ongoing computations

Parameters

  mesh | Input mesh

## Member Function Documentation

std::vector< std::vector< float > > OMToolkit::OMMatrixDescriptors::ComputeDescriptors | ( | OpenMesh::VPropHandleT< MatrixT > | matrixH,
|  | OpenMesh::VPropHandleT< AScalarT > | curvatureMagH,
|  | float | matrix_size,
|  | int | matrix_resolution,
|  | float | desc_diameter
| ) |  |

The function extracts the descriptors from the points marked as feature points Format of the output: Vector of the vertices features Each row contains ID of vertex + 128 dimensional feature vector

See Also
  ComputePoints

Parameters

  matrixH | The matrix handle
  curvatureMagH | The curvature magnitude handle
  matrix_size | The size of matrix used for descriptor computation (relative to the median of edge lengths)
  matrix_resolution | The resolution of the matrix
  desc_diameter | The descriptor diameter

bool OMToolkit::OMMatrixDescriptors::ComputePoints | ( | OpenMesh::VPropHandleT< MatrixT > | matrixH,
|  | OpenMesh::VPropHandleT< AScalarT > | curvatureMagH,
|  | int | finalNum
| ) |  |

The function computes feature points using pre-computed curvature on the mesh

Parameters

  matrixH | The matrix handle
  curvatureMagH | The curvature magnitude handle
  finalNum | The final number of feature points in the mesh

The documentation for this class was generated from the following files:

- trunk/include/OMToolkit/OMMatrixDescriptors.h
- trunk/src/toolkit/Toolkit/OMMatrixDescriptors.cpp